
package de.codedo.conflicteditor;

import static org.hamcrest.CoreMatchers.equalTo;
import static org.hamcrest.CoreMatchers.not;
import static org.hamcrest.MatcherAssert.assertThat;

import org.junit.Test;

public class DifferenceTestCase extends Object
{
    @Test
    public void differencesWithSameValuesShouldBeEqual()
    {
        Difference diff1 = new Difference("key", "current", "other");
        Difference diff2 = new Difference("key", "current", "other");
        assertThat(diff1, equalTo(diff2));
    }

    @Test
    public void differencesWithDifferentValuesShouldNotBeEqual()
    {
        Difference diff1 = new Difference("key", "current", "other");
        Difference diff2 = new Difference("other-key", "current", "other");
        assertThat(diff1, not(equalTo(diff2)));
    }
}
